> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Attachment

> Upload a attachment for a Ticket




## OpenAPI

````yaml /openapi/scx/channel.json post /v1/channel/ticket/attachment
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel/ticket/attachment:
    post:
      tags:
        - Ticket
      summary: Upload Attachment
      description: |
        Upload a attachment for a Ticket
      operationId: UploadTicketAttachment
      requestBody:
        $ref: '#/components/requestBodies/TicketAttachment'
      responses:
        '201':
          description: Attachmet Uploaded
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  requestBodies:
    TicketAttachment:
      description: Multipart upload of a single attachment file for an existing ticket.
      content:
        multipart/form-data:
          schema:
            $ref: '#/components/schemas/TicketAttachmentRequest'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    TicketAttachmentRequest:
      type: object
      required:
        - attachmentData
        - document
      properties:
        attachmentData:
          description: Attachment meta data as JSON
          type: object
          allOf:
            - $ref: '#/components/schemas/AttachmentData'
        attachment:
          description: >
            File Attachment as binary data must have a maxium size of 16 MB.


            Allowed Content-Types are

            * text/plain

            * application/pdf

            *
            application/vnd.openxmlformats-officedocument.wordprocessingml.document

            * application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

            * application/vnd.ms-excel

            * application/msword

            * image/*
          type: string
          format: binary
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    AttachmentData:
      type: object
      required:
        - sellerId
        - ticketId
        - filename
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        ticketId:
          $ref: '#/components/schemas/TicketId'
        filename:
          type: string
          pattern: ^\w+\.\w{1,10}$
          description: Original Filename
          example: product.png
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    TicketId:
      type: string
      description: |
        Unique identifcation for Ticket Id
      minLength: 1
      maxLength: 256
      example: CASE-01071982
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````